Subject: Re: FVWM: Use of PipeRead or how do you get date into a button?

From: [email-masked] (Martin Cartwright)
Date: Thu, 30 Jan 1997 10:47:40 GMT

=> Subject: FVWM: Use of PipeRead or how do you get date into a button?
=> From: Bob Taylor <[email-masked]>
=> 
=> I would like to have todays day and date displayed in an FvwmButton. I
=> have tried:
=> 
=> *FvwmButtons(2x1,Swallow "" PipeRead 'date -d today "+%a %b %-d %Y"')
=> 
=> and various pertubations. I'm currently running fvwm-2.0.43 and I'm out of
=> ideas! Pointers to doc's on PipeRead welcome!
=> 
=> Thanks in advance.
=> 
=> Bob
=> 

If you don't fancy patching anything as Christophe suggested you could 
get hold of xcal. This is a fairly simple calendar program. I don't use 
it for keeping track of appointments or anything (although you can) I just 
swallow the window that displays today's day and date. 

See my fvwm page for an idea of how it looks. There's a screenshot there 
somewhere.

[email-masked] - http://star.pst.qub.ac.uk/~imc/vom.htm
-/-----------------------------------------------------------\-
|  "The general procedure is to jump 200 feet in the air      |
|   and scatter yourself over a wide area"		      |
-\-----------------------------------------------------------/-

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mathias Megyei <[email-masked]>
Date: Thu, 30 Jan 1997 11:59:17 +0100 (MET)

From: Bob Taylor <[email-masked]>
  > 
  > I would like to have todays day and date displayed in an FvwmButton. I
  > have tried:
  > 
  > *FvwmButtons(2x1,Swallow "" PipeRead 'date -d today "+%a %b %-d %Y"')
  > 
  > and various pertubations. I'm currently running fvwm-2.0.43 and I'm out of
  > ideas! Pointers to doc's on PipeRead welcome!
  > 
  > Thanks in advance.
  > 
  > Bob
  > 
I use xclock with fvwm-2.0.43

*FvwmButtons(5x1, Swallow (UseOld, NoKill, NoClose) "xclock" \
        'Exec xclock -g 206x33+279+0 -fg NavyBlue -bg gray90 -digital -update 1\
        -fn -*-courier-medium-r-normal--17-*-75-75-m-90-iso8859-1 &')

Mathias Megyei                  [email-masked]     __o
Siemens Anl A45-AM              Phone: + 89 636 40257         \<,
Otto-Hahn-Ring 6 81730 Munich   Fax  : + 89 636 44595       ()/ ()

30-Jan-97 12:02:08